import {
  drawById
} from "../../utils/qrcode"
import orderApi from '../../api/order'
// pages/order/order.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    order: {}

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: async function (options) {

    var orderId = options.id;
    let order = await orderApi.getOrderById(orderId);
    this.setData({
      order: order.info
    })
    drawById.call(wx, "qrCode", {
      text: order.info.writeOffCode, // 二维码内容
    })

  },

  createQrcode: function () {
    drawById.call(wx, "qrCode", {
      text: "1233", // 二维码内容
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})